<?php
// --- Création du tableau avec les valeurs 10,20,30 et 40 ---
$tab = array(10, 20, 30, 40);
echo "--foreach:contenu, tableau d'entiers--".PHP_EOL;
// --- Boucle d'affichage ---
foreach ($tab as $valeur)
{ echo '$valeur='.$valeur.PHP_EOL; }
echo "--foreach:contenu,indices tableau d'entiers--".PHP_EOL;
foreach ($tab as $indice => $valeur)
{echo '$indice = '.$indice.'  $valeur='.$valeur.PHP_EOL; }
// --- Boucle de calcul ---
echo "--Calcul (x2) sur le tableau d'entiers--".PHP_EOL;
foreach ($tab as $valeur)
{ $res = $valeur * 2;
  echo '$res='.$res.PHP_EOL;
}
?>
